> ## Name

> cgGetFirstDependentParameter - get the first dependent parameter from a parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     CGparameter cgGetFirstDependentParameter( CGparameter param );

> ## Parameters

> param
>   The parameter.

> ## Return Values

> Returns a handle to the first member parameter.

> Returns NULL if param is not a struct or if some other error occurs.

> ## Description

> cgGetFirstDependentParameter returns the first member dependent parameter associated with a given parameter. The rest of the members may be retrieved from the first member by iterating with cgGetNextParameter.

> Dependent parameters are parameters that have the same name as a given parameter but different resources. They only exist in profiles that have multiple resources associated with one parameter.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetFirstDependentParameter was introduced in Cg 1.1.

> ## See Also

> cgGetNextParameter, cgGetFirstParameter